com.microfocus.awm.localsystem

## Class LocalSystemProvider

- java.lang.Object
- - com.microfocus.awm.model.AbstractLocalSystemProvider
  - - com.microfocus.awm.localsystem.LocalSystemProvider

- All Implemented Interfaces:
    ISystemProvider

      public class LocalSystemProvider
      extends AbstractLocalSystemProvider

  `ISystemProvider` implementation for locally provided master configurations.

  Copyright (C) Micro Focus 2014. All rights reserved.

  Author:
    Ralf Pakosch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ID` The ID of the system provider.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSystemProvider()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `existsLocalMasterConfiguration()` Returns `true` if one of these conditions is true: A master configuration provider extension provides a master configuration A master configuration is located in the Eclipse root folder
    `java.lang.String` | `getID()` Gets the unique ID of the system provider as defined in the extension.
    `static MasterConfigurationParser` | `getMasterConfigurationParser(ISystemImage pImg)` Gets the master configuration parser for the given system image.
    `java.util.List<ITaurusSystemProxy>` | `getSystemProxies()` Gets a list of `ITaurusSystemProxy`s.
    `ITaurusSystem` | `loadPersistedSystem(TaurusSystemPersistableProxy pPersistableProxy)` Creates an `ITaurusSystem` from its persistable proxy representation.

    - ### Methods inherited from class com.microfocus.awm.model.AbstractLocalSystemProvider

      `getRemoteSystemImages`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      The ID of the system provider.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalSystemProvider

          public LocalSystemProvider()

  - ### Method Detail

    - #### getSystemProxies

          public java.util.List<ITaurusSystemProxy> getSystemProxies()
                                                              throws TaurusCoreException

      Description copied from interface: `ISystemProvider`
      Gets a list of `ITaurusSystemProxy`s.
      Returns:
        a list of system proxies
      Throws:
        `TaurusCoreException` - if retrieving the system proxies fails

    - #### existsLocalMasterConfiguration

          public static boolean existsLocalMasterConfiguration()

      Returns `true` if one of these conditions is true:
    - A master configuration provider extension provides a master configuration
    - A master configuration is located in the Eclipse root folder

Returns:
  whether a local master configuration can be provided.

- #### getMasterConfigurationParser

      public static MasterConfigurationParser getMasterConfigurationParser(ISystemImage pImg)
                                                                    throws TaurusCoreException

  Gets the master configuration parser for the given system image.
  Parameters:
    `pImg` - the system image
  Returns:
    the master configuration parser
  Throws:
    `TaurusCoreException` - if an error occurs reading the master configuration

- #### loadPersistedSystem

      public ITaurusSystem loadPersistedSystem(TaurusSystemPersistableProxy pPersistableProxy)
                                        throws TaurusCoreException

  Description copied from interface: `ISystemProvider`
  Creates an `ITaurusSystem` from its persistable proxy representation. The persistable proxy will be created from loading the AWM system cache.
  Parameters:
    `pPersistableProxy` - the AWM system representation
  Returns:
    the `ITaurusSystem` or `null` if the provider cannot load a system from cache
  Throws:
    `TaurusCoreException` - if creating the AWM system failed

- #### getID

      public java.lang.String getID()

  Description copied from interface: `ISystemProvider`
  Gets the unique ID of the system provider as defined in the extension.
  Returns:
    the ID of the system provider

Copyright © 2015 Micro Focus GmbH. All rights reserved.